// (c) MIT 2003.  All rights reserved.

// $Id: FamilyMember.java,v 1.6 2003/03/06 00:40:40 moltmans Exp $
// Time-stamp: <2000-03-11 18:59:36 moltmans>
package rec.sys;


import java.util.*;

public interface FamilyMember {
  
  public void die();
  
  public Collection getAllChildren();

  public Collection getAllChildrenAndMe();
  
  public Iterator getChildrenIterator();
  
  public Collection getChildren();

  public boolean parentOf( Widget w );

  public int getStrength();

  public void removeParent( Widget p );

  public void addParent( Widget p );
  
}
